Package org.jboss.logmanager.config

# Interface ValueExpression<T>

public interface ValueExpression<T>
Represents a possible value expression. A value is said to be an expression if it matches a `${system.property:DEFAULT_VALUE}` pattern.

Author:
  James R. Perkins

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`ValueExpression.Resolver<T>`
Resolves the value expression from an expression.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ValueExpression.Resolver<Boolean>`
`BOOLEAN_RESOLVER`
`static final ValueExpression<Boolean>`
`NULL_BOOLEAN_EXPRESSION`
`static final ValueExpression<String>`
`NULL_STRING_EXPRESSION`
`static final ValueExpression.Resolver<String>`
`STRING_RESOLVER`

## Method Summary

Modifier and Type
Method
Description
`T`
`getResolvedValue()`
The resolved value.
`String`
`getValue()`
Gets the value of the value which may or may not be an `expression`.
`boolean`
`isExpression()`
Checks whether this is an expression or not.
`String`
`toString()`

## Field Details

### NULL_STRING_EXPRESSION

static final ValueExpression<String> NULL_STRING_EXPRESSION

### NULL_BOOLEAN_EXPRESSION

static final ValueExpression<Boolean> NULL_BOOLEAN_EXPRESSION

### STRING_RESOLVER

static final ValueExpression.Resolver<String> STRING_RESOLVER

### BOOLEAN_RESOLVER

static final ValueExpression.Resolver<Boolean> BOOLEAN_RESOLVER

## Method Details

### getResolvedValue

T getResolvedValue()
The resolved value.

If this is an `expression` the resolved value will be the value from a system property or the default value from the expression if the system property is not set.

If this is not an `expression` the value returned will be the non-expression value or `null` if allowed for the property.

Returns:
  the resolved value

### isExpression

boolean isExpression()
Checks whether this is an expression or not.

Returns:
  `true` if this is an expression, otherwise `false`

### getValue

String getValue()
Gets the value of the value which may or may not be an `expression`.

Returns:
  the value

### toString

String toString()

Overrides:
  `toString` in class `Object`